﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Controls;

namespace TestDataTables
{
    public class DataTable : Control
    {
        static bool IsInitialized;

        public DataTable()
        {
            string html = @"<div><table id=""table_id"" class=""stripe hover cell-border order-column"" cellspacing=""0""><thead><tr><th>Firstname</th><th>Lastname</th><th>Age</th></thead></table></div>";
            CSharpXamlForHtml5.DomManagement.SetHtmlRepresentation(this, html);

            this.Loaded += DataTable_Loaded;
        }

        private async void DataTable_Loaded(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            if (!IsInitialized)
            {
                await CSHTML5.Interop.LoadJavaScriptFile("https://code.jquery.com/jquery-3.1.1.min.js"); // DataTable dependency
                await CSHTML5.Interop.LoadCssFile("https://cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css");
                await CSHTML5.Interop.LoadJavaScriptFile("https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js");
                IsInitialized = true;
            }

            CSHTML5.Interop.ExecuteJavaScriptAsync(@"
var table = jQuery(""#table_id"").DataTable();
table.row.add( [ ""John"", ""Doe"", 46 ] ).draw(false); 
table.row.add( [ ""Jane"", ""Doe"", 47 ] ).draw(false); 
table.row.add( [ ""Robert"", ""Lane"", 23 ] ).draw(false); 
");
        }
    }
}
